Page MenuHomePhabricator

Statement indicators for problematic constraints are not visible
Closed, ResolvedPublic5 Story PointsBUG REPORT

Description

Steps to Reproduce

  • Go to a property (can use sandbox on production Property:P369).
  • Add a "Mandatory Qualifier Constraint" on that property
  • Add two property constraints as references on the mandatory qualifier constraint, and give them any two values.

Expected Behavior
Warning indicator should be displayed next to the added Mandatory Qualifier Constraint with the current message being (en):
The parameter "property" must only have a single value.

Current Behavior
No violations indicator is displayed next to the Mandatory Qualifier Constraint

Spotted on
An affected property in Wikidata: Property:P39.
The wbcheckconstraintparameters response contains the violation as expected. This might be a hint that the issue is only in front-end.

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterAdd classes to distinguish between param checks and constraint checks
mediawiki/extensions/WikibaseQualityConstraints : masterFix order of actions before loading of the definition icon

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptJul 12 2019, 10:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

I tested it in Chromium and I have the same problem. An indicator pops up and then vanishes. It's yellow, which is weird as well.

hoo added a subscriber: hoo.Jul 16 2019, 12:52 PM
{"P39$D9B5B54E-3763-42E7-95B2-EB38B15A235A":{"status":"not-okay","problems":[{"message-html":"The parameter &quot;<span class=\"wbqc-role wbqc-role-constraint-parameter-property\"><a title=\"Property:P2306\" href=\"/wiki/Property:P2306\">property</a></span>&quot; must only have a single value."}]}}

@Lucas_Werkmeister_WMDE we will need your help for a quick look at what might be wrong with the mentioned constraint.. specifically to understand whether the icon should really be visible after all, or whether it is just appearing shortly due to some other reason (other than a violation).

The icon should certainly be visible, this constraint should be two constraints to be correct. You can only make one qualifier mandatory at a time (it’s not a “mandatory qualifiers” constraint).

Thanks @Lucas_Werkmeister_WMDE for the clarification now we know what to do

alaa_wmde triaged this task as High priority.Jul 22 2019, 2:13 PM
alaa_wmde set the point value for this task to 5.Jul 23 2019, 12:13 PM
alaa_wmde moved this task from Ready to estimate to Ready to pick up on the Wikidata-Campsite board.
Rosalie_WMDE added a comment.EditedAug 14 2019, 2:56 PM
{"P39$D9B5B54E-3763-42E7-95B2-EB38B15A235A":{"status":"not-okay","problems":[{"message-html":"The parameter &quot;<span class=\"wbqc-role wbqc-role-constraint-parameter-property\"><a title=\"Property:P2306\" href=\"/wiki/Property:P2306\">property</a></span>&quot; must only have a single value."}]}}

Please what does it represent?

@hoo

{"P39$D9B5B54E-3763-42E7-95B2-EB38B15A235A":{"status":"not-okay","problems":[{"message-html":"The parameter &quot;<span class=\"wbqc-role wbqc-role-constraint-parameter-property\"><a title=\"Property:P2306\" href=\"/wiki/Property:P2306\">property</a></span>&quot; must only have a single value."}]}}

Please what does it represent?

matej_suchanek added a comment.EditedAug 18 2019, 1:48 PM

Fragment of the API response.

alaa_wmde updated the task description. (Show Details)Aug 21 2019, 10:37 AM
alaa_wmde updated the task description. (Show Details)
matej_suchanek updated the task description. (Show Details)
Rosalie_WMDE removed Rosalie_WMDE as the assignee of this task.Aug 21 2019, 11:45 AM
noarave claimed this task.Aug 23 2019, 11:50 AM
Restricted Application added a project: User-Noarave. · View Herald TranscriptAug 23 2019, 11:50 AM

Change 532388 had a related patch set uploaded (by Noa wmde; owner: Noa wmde):
[mediawiki/extensions/WikibaseQualityConstraints@master] Fix missing definition icon for mandatory qualifier constraint

https://gerrit.wikimedia.org/r/532388

Change 533505 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseQualityConstraints@master] Add classes to distinguish between param checks and constraint checks

https://gerrit.wikimedia.org/r/533505

Change 532388 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Fix order of actions before loading of the definition icon

https://gerrit.wikimedia.org/r/532388

Change 533505 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Add classes to distinguish between param checks and constraint checks

https://gerrit.wikimedia.org/r/533505